<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:param name="baseActionURL">baseActionURL not set</xsl:param>
  <xsl:param name="action">view</xsl:param>
    
  <xsl:template match="/">
    <xsl:if test="$action = 'view'"> 
      <xsl:apply-templates select="message"/>
    </xsl:if>   
    <xsl:if test="$action = 'edit'"> 
      <xsl:call-template name="capture" />
    </xsl:if>   
  </xsl:template>
  
  <xsl:template match="message">
      <xsl:value-of select="headline" />
  </xsl:template>
  

 <xsl:template name="capture">
    <form action="{$baseActionURL}" method="post">
Here!:
      <input type="text" class="uportal-input-text" name="headline" value="{headline}" />
      <br/>
 
      <input type="submit" name="submit" value="Return" class="uportal-button" />
    </form>
  </xsl:template>

</xsl:stylesheet>