<?xml version='1.0' encoding='utf-8' ?>

<!--
This channel displays current weather conditions for COlorado Springs, CO
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="mediaPath">/media/org/jasig/portal/channels/CGenericXSLT/Weather</xsl:variable>
<xsl:param name="mediaBase"></xsl:param> 


  <xsl:template match="channel">
    <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
        <tr align="center">
          <td class="uportal-channel-title">
            Current Conditions
          </td>
        </tr>
        <tr align="center">
          <td class="uportal-channel-title">
            Colorado Springs, CO
          </td>
        </tr>
        <xsl:apply-templates select="item[1]"/>
    </table>
  </xsl:template> 
  
  <xsl:template match="item[1]">
        <tr align="center">
          <td class="uportal-channel-title">
           <xsl:variable name="desc_bits" select="tokenize(description,'Temperature: ')"/>
           desc_bits: <xsl:value-of select="$desc_bits"/> 
           <xsl:variable name="temp_end" select="item-at($desc_bits,2)"/>
           temp_end: <xsl:value-of select="$temp_end"/> 
           <xsl:variable name="temp_end_bits" select="tokenize({$temp_end,'/')"/>
           temp_end: <xsl:value-of select="$temp_end_bits"/> 
           <xsl:variable name="temp" select="item-at($temp_end_bits,1)"/>
           temp: <xsl:value-of select="$temp"/> 
          </td>
        </tr>
        <tr align="center">
          <td class="uportal-channel-text">
            <xsl:value-of select="substring(title,22,8)"/> 
          </td>
        </tr>
  </xsl:template> 
 
</xsl:stylesheet>
