<?xml version='1.0' encoding='utf-8' ?>

<!--
This channel displays current weather conditions for COlorado Springs, CO
-->

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:variable name="mediaPath">/media/org/jasig/portal/channels/CGenericXSLT/Weather</xsl:variable>
<xsl:param name="mediaBase"></xsl:param> 


  <xsl:template match="channel">
    <table width="100%" border="0" cellpadding="4" class="uportal-background-content">
        <tr>
          <td colspan="2" align="center" class="uportal-channel-title">
            Current Conditions
          </td>
        </tr>
        <tr>
          <td colspan="2" align="center" class="uportal-channel-title">
            in Colorado Springs, CO
          </td>
        </tr>
        <xsl:apply-templates select="item[1]"/>
        <xsl:apply-templates select="image"/>
     </table>
  </xsl:template> 
  
  <xsl:template match="item[1]">
        <tr>
          <td colspan="2" align="center" class="uportal-channel-large">
            <xsl:value-of select="substring(description,14,5)"/>
          </td>
        </tr>
        <tr>
          <td colspan="2" align="center" class="uportal-channel-emphasis">
            as of
            <xsl:value-of select="substring(title,22,8)"/> 
          </td>
        </tr>
  </xsl:template> 
  <xsl:template match="image">
        <tr align="center">
          <td colspan="1" align="right">
            <img alt="www.wunderground.com logo"  src="{url}" width="113" height="67"/>
          </td>
          <td colspan="1" align="left">
            <a href="{link}" class="uportal-navigation-category">Complete Forecast</a> 
          </td>
        </tr>
  </xsl:template> 
 
</xsl:stylesheet>
